> For the complete documentation index, see [llms.txt](https://docs.danaya.africa/documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.danaya.africa/documentation/webhook.md).

# Webhook

We can send a notification to your systems through a URL that you will need to provide us. The different use cases for notification are listed below. If you identify any additional cases, do not hesitate to contact us so we can determine whether it is possible for us to notify you in those cases.

* **End of KYC/KYB Processing or Change of Client File Status**

You have to set up an POST endpoint something like this&#x20;

**POST** **/your-end-point**

give us the full url of the endpoint and be prepare to receive a payload like this:

<details>

<summary>Webhook to receive file receive confirmation</summary>

WebHook Message Type: **DOCUMENT\_TO\_ANALYSE\_RECEIVED**

```json
{
    "webhookId": "webhook-uuid-789",
    "companyId": 123,
    "messageType": "DOCUMENT_TO_ANALYSE_RECEIVED",
    "timestamp": "2025-10-17T10:30:00Z",
    "payload": {
        "id": "550e8400-e29b-41d4-a716-446655440000",
        "externalId": "EXT-FILE-2025-001234",
        "createdAt": "2025-10-17T10:30:00Z",
        "danaDropId": "9b2e8450-a12c-41d4-b716-556677889900",
        "additionalData": {
            "source": "mobile_app"
        },
        "documents": [
            {
                "id": "a1b2c3d4-e5f6-4a5b-8c9d-0e1f2a3b4c5d",
                "type": "CNI",
                "filesToAnalyse": [
                    {
                        "id": "f1e2d3c4-b5a6-7c8d-9e0f-1a2b3c4d5e6f",
                        "documentName": "cni_front.pdf"
                    },
                    {
                        "id": "g2f3e4d5-c6b7-8d9e-0f1a-2b3c4d5e6f7g",
                        "documentName": "cni_back.pdf"
                    }
                ]
            }
        ]
    }
}
```

</details>

<details>

<summary>Webhook to receive document verification results</summary>

WebHook Message Type: ANALYSIS\_RESULT

```json
{ 
  "webhookId": "webhook-uuid-123", 
  "companyId": 123, 
  "messageType": "ANALYSIS_RESULT", 
  "timestamp": "2025-10-17T11:45:00Z", 
  "payload": { 
    "id": 456, 
    "createdAt": "2025-10-17T10:30:00Z", 
    "status": "ANALYZED", 
    "company": { 
      "id": 123, 
      "name": "Entreprise ABC" 
    }, 
    "documents": [ 
      { 
        "id": 1001, 
        "type": "CNI", 
        "ocrExtractedData": { 
          "documentNumber": "CI123456789", 
          "firstName": "Jean", 
          "lastName": "Dupont" 
        }, 
        "score": 0.95 
      } 
    ], 
    "score": 0.94 
  } 
} 
```

</details>

<details>

<summary>Webhook to receive document status change</summary>

WebHook Message Type: CLIENT\_FILE\_STATUS\_CHANGED

```json
{ 
"webhookId": "webhook-uuid-456", 
"companyId": 123,
 "messageType": "CLIENT_FILE_STATUS_CHANGED", 
 "timestamp": "2025-10-17T12:15:00Z", 
 "payload": { "id": 456, "status": "VALIDER", "score": 0.94 } 
 } 
```

</details>

<details>

<summary>Webhook to receive document verification retry</summary>

WebHook Message Type: RETRY\_DOCUMENT\_VERIFICATION

```json
{
    "webhookId": "webhook-uuid-999",
    "companyId": 123,
    "messageType": "RETRY_DOCUMENT_VERIFICATION",
    "timestamp": "2025-10-17T11:45:00Z",
    "payload": {
        "id": 456,
        "createdAt": "2025-10-17T10:30:00Z",
        "status": "IN_PROGRESS",
        "company": {
            "id": 123,
            "name": "Entreprise ABC"
        },
        "documents": [
            {
                "id": 1001,
                "type": "CNI",
                "verificationResults": [
                    {
                        "verificationType": "FACE_MATCH",
                        "status": "RETRY",
                        "confidence": 0.72,
                        "attempt": 2
                    }
                ],
                "score": 0.84
            }
        ],
        "errors": [
        ],
        "score": 0.86,
        "externalId": "EXT-CLIENT-789"
    }
}
```

</details>

* Expired or Near-Expiration Identification Document (To Be Defined)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.danaya.africa/documentation/webhook.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
